unit VaxServerConstants;

interface

type TVaxServerConstants = class

public

    const VAX_PEER_TYPE_USER = 3001;
    const VAX_PEER_TYPE_LINE = 3002;
    const VAX_PEER_TYPE_DIRECT_PROXY = 3003;

    const CONF_ROOM_NORMAL_LISTENER = 100;
    const CONF_ROOM_STEALTH_LISTENER = 101;
    const CONF_ROOM_STEALTH_SPEAKER = 102;

    const ID_CLASS_MAIN_SIP                   = 0;
    const ID_CLASS_USER_SIP                   = 1;
    const ID_CLASS_CALL_SESSION_SIP           = 2;
    const ID_CLASS_CHAT_SIP                   = 3;
    const ID_CLASS_LINE_SIP                   = 4;
    const ID_CLASS_DIRECT_PROXY_SIP           = 5;
    const ID_CLASS_ERROR_SIP                  = 6;

    const VAX_DIGIT_DTMF_TYPE_RTP		= 0;
    const VAX_DIGIT_DTMF_TYPE_INBAND	= 1;
    const VAX_DIGIT_DTMF_TYPE_SIP		= 2;


end;

implementation

end.
