unit Define;

interface

type TDefine = class

// Line Register

public const LINE_REG_TRYING							= 'trying to register . . .';
public const LINE_REG_FAILED							= 'failed to register.';
public const LINE_REG_SUCCESS						    = 'success to register.';

// User Register

public const USER_UNREGISTER							= 'unregistered successfully.';
public const USER_REG_SUCCESS					    	= 'success to register.';
public const USER_REG_FAILED							= 'failed to register.';
public const USER_REG_TRYING							= 'trying to register. . .';

// Not Found

public const NOT_FOUND								= 'Not Found';

// Error MEDIA LAYER

public const FAIL_TO_INITIALIZE_RTP_SOCKET			= 'Fail to initialize RTP Socket';
public const FAIL_TO_ALLOCATE_RTP_LISTEN_PORT		= 'Fail to allocate RTP port or RTP listen IP is not correct.';

public const FAIL_TO_CREATE_RTP_TASK_WND				= 'Fail to create RTP task manager.';
public const FAIL_TO_START_MEDIA_THREAD				= 'Fail to start media thread.';

public const FAIL_TO_CREATE_RTP_COMMUNICATION_WND	= 'Fail to create RTP communication manager.';
public const FAIL_TO_USE_RTP_COMMUNICATION_WND		= 'Unable to use RTP communication manager.';

public const FAIL_TO_OPEN_FILE						= 'Unable to open file.';
public const FAIL_TO_READ_FILE						= 'Unable to read file.';
public const INVALID_WAVE_FILE_FORMAT				= 'Wave file format is not correct, please use 8000Hz, 16bit, mono uncompressed wave file.';
public const INVALID_PLAY_WAVE_ID					= 'Invalid play wave ID.';

public const FAIL_TO_START_RECORDING_MANAGER			= 'Fail to start recording manager.';
public const CALL_NOT_IN_SESSION						= 'Call is not in the voice session.';

// ERROR SIP LAYER

public const ERROR_NOT_IN_VOICE_SESSION = CALL_NOT_IN_SESSION;

public const ERROR_INITIALIZE_VAXOBJECT				= 'Fail to initialize VaxTele object.';

public const ERROR_TO_CREATE_SDP						= 'Error to create SDP body.';
public const ERROR_TO_CREATE_INVITE_REQUEST			= 'Error to create INVITE request.';
public const ERROR_TO_INITIALIZE_SIP_COMM_LAYER		= 'Error to initialize SIP communication layer.';
public const ERROR_TO_OPEN_SIP_LISTEN_PORT			= 'Error to open SIP listen port or SIP listen IP is not correct.';
public const ERROR_FAIL_TO_CREATE_SIP_TASK_WND		= 'Error to create SIP task manager.';

public const ERROR_TO_CREATE_REGISTER_REQUEST		= 'Error to create REGISTER request.';
public const ERROR_TO_CREATE_UNREGISTER_REQUEST		= 'Error to create UN-REGISTER request.';
public const ERROR_TO_CREATE_BYE_REQUEST				= 'Error to create BYE request.';
public const ERROR_TO_CREATE_CANCEL_REQUEST			= 'Error to create CANCEL request.';

public const ERROR_INVALID_CALL_SESSION_ID			= 'Call-Id is not valid or call does not exist.';
public const ERROR_SESSION_DOES_NOT_EXIST			= 'Session-Id is not valid or session does not exist.';

public const ERROR_USER_LOGIN_DOES_NOT_EXIST			= 'Login does not exist.';
public const ERROR_USER_LOGIN_INVALID_LENGTH			= 'Login length is not correct.';

public const ERROR_LINE_DOES_NOT_EXIST				= 'Line does not exist.';
public const ERROR_CANNOT_SEND_RESPONSE				= 'Can not send SIP response.';
public const ERROR_INVALID_REPONSE_CODE				= 'SIP response code is not valid, please check SIP RFC 3261.';
public const ERROR_TO_CREATE_SIP_MSG					= 'Error to create SIP message.';
public const ERROR_LINE_ALREADY_EXIST				= 'Line already exist.';

public const ERROR_INVALID_REG_ID					= 'Reg-Id is not correct or does not exist.';
public const ERROR_TO_CREATE_SIP_RESPONSE			= 'Error to create SIP reponse.';
public const ERROR_USER_NOT_REGISTER					= 'User is not registered.';
public const ERROR_NO_STREAM_CODEC_FOUND				= 'Invalid codec OR there is no codec found for voice streaming.';

public const ERROR_INVALID_DTMF_TYPE					= 'Invalid DTMF type.';
public const ERROR_OTHER_PARTY_NOT_SUPPORT_RFC2833_DTMF  = 'Other party does not support RFC2833 DTMF digits.';
public const ERROR_TO_CREATE_REFER					= 'Error to create REFER request to transfer the call.';

public const ERROR_FAIL_TO_CREATE_EVENT_OBJECT		= 'Error to create event handler.';
public const ERROR_LICENSE_KEY						= 'Invalid license key.';
public const ERROR_INVALID_DIGIT_DTMF				= 'Invalid digit for DTMF.';
public const ERROR_INVALID_PROXY_URI					= 'Invalid proxy URI.';
public const ERROR_LINE_NOT_REGISTER					= 'Line is not registered.';

public const ERROR_INVALID_TO_URI					= 'ToURI is not valid.';
public const ERROR_NOT_CONNECTED_CALL				= 'call not connected.';
public const ERROR_CONNECTED_CALL					= 'call connected.';
public const ERROR_NO_INCOMING_ANONYMOUS_REQ			= 'no incoming anonymous request.';
public const ERROR_INVALID_PARAM_VALUE				= 'Invalid parameter value.';

public const ERROR_INVALID_CHAT_MSG_ID				= 'Invalid Chat MsgId';
public const ERROR_INVALID_CHAT_SUBSCRIBE_ID			= 'Invalid Chat SubscribeId';

public const ERROR_TO_ALLOCATE_UNIQUE_ID				= 'Could not allocate a unique Id.';
public const ERROR_INVALID_UNIQUE_ID					= 'Invalid unique Id.';

//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////

public const VAX_ERROR_ALREADY_EXIST					= 'Already exists.';
public const VAX_ERROR_NOT_FOUND						= 'Not Found';
public const VAX_UNABLE_CREATE_CALL_SESSION			= 'Unable to create call session.';
public const VAX_ERROR_DTMF_DETECT					= 'DTMF not detected.';


end;

implementation

end.
