﻿
Imports System.Text

Public Class CVaxServerSIP : Inherits CVaxServerExCOM

    Public m_objErrorLogDlg As ErrorLogForm
    Public m_objStatusLogDlg As StatusLogForm

    Public Sub New()
    End Sub

    '/////////////////////////////////////////////////////////////////////////
    '/////////////////////////////////////////////////////////////////////////

    Public Overloads Function AddUser(ByVal sLogin As String, ByVal sPassword As String, ByVal sCodecList As String, ByVal bBlocked As Boolean, ByVal sUserPrefix As String, ByVal sDialPrefix As String, ByVal nToPeerType As Integer, ByVal sToPeerName As String) As Boolean

        If (sUserPrefix.Length <> 0 Or sDialPrefix.Length <> 0) Then
            MyBase.AddUserRoute(sLogin, sUserPrefix, sDialPrefix, nToPeerType, sToPeerName)
        End If

        Return MyBase.AddUser(sLogin, sPassword, sCodecList, bBlocked, sUserPrefix, sDialPrefix, nToPeerType, sToPeerName)

    End Function

    Public Overloads Sub RemoveUser(ByVal sLogin As String)

        MyBase.RemoveUser(sLogin)
        MyBase.RemoveUserRoute(sLogin)

    End Sub

   '/////////////////////////////////////////////////////////////////////////
    '/////////////////////////////////////////////////////////////////////////

    Public Overloads Function AddLine(ByVal sLineName As String, ByVal sDisplayName As String, ByVal sUserName As String, ByVal sAuthUser As String, ByVal sAuthPwd As String, ByVal sDomainRealm As String, ByVal sProxySIP As String, ByVal sCodecList As String, ByVal bRegister As Boolean, ByVal nToPeerType As Integer, ByVal sToPeerName As String, ByVal bBlocked As Boolean, ByVal sRoomName As String) As Boolean

        MyBase.AddLineRoute(sLineName, nToPeerType, sToPeerName, bBlocked, sRoomName)
        Return MyBase.AddLine(sLineName, sDisplayName, sUserName, sAuthUser, sAuthPwd, sDomainRealm, sProxySIP, sCodecList, bRegister, nToPeerType, sToPeerName, bBlocked, sRoomName)

    End Function

    Public Overloads Sub RemoveLine(ByVal sLineName As String)

        MyBase.RemoveLine(sLineName)
        MyBase.RemoveLineRoute(sLineName)

    End Sub

    '/////////////////////////////////////////////////////////////////////////
    '/////////////////////////////////////////////////////////////////////////

    Public Overloads Function AddDirectProxySIP(ByVal sProxyName As String, ByVal sAuthLogin As String, ByVal sAuthPwd As String, ByVal sDomainRealm As String, ByVal sProxyIP As String, ByVal nProxyPort As Integer, ByVal sCodecList As String, ByVal nToPeerType As Integer, ByVal sToPeerName As String, ByVal bBlocked As Boolean, ByVal bAddToConf As Boolean, ByVal sRoomName As String) As Boolean

        MyBase.AddDirectProxyRoute(sProxyName, nToPeerType, sToPeerName, bBlocked, sRoomName)
        Return MyBase.AddDirectProxySIP(sProxyName, sAuthLogin, sAuthPwd, sDomainRealm, sProxyIP, nProxyPort, sCodecList, nToPeerType, sToPeerName, bBlocked, sRoomName)

    End Function

    Public Overloads Sub RemoveDirectProxySIP(ByVal sProxyName As String)

        MyBase.RemoveDirectProxyRoute(sProxyName)
        MyBase.RemoveDirectProxySIP(sProxyName)

    End Sub

    '/////////////////////////////////////////////////////////////////////////
    '/////////////////////////////////////////////////////////////////////////

    Public Overrides Sub OnErrorLog(ByVal sMsg As String)
        m_objErrorLogDlg.OnErrorLog(sMsg)
    End Sub

    Public Overrides Sub OnStatusLog(ByVal sMsg As String)
        m_objStatusLogDlg.OnStatusLog(sMsg)
    End Sub

End Class
