﻿Public Class CVaxChat

    Dim m_objServerExCOM As CVaxServerExCOM

    Public Sub New(ByVal objServerExCOM As CVaxServerExCOM)
        m_objServerExCOM = objServerExCOM
    End Sub

    Public Sub OnChatMessageText(ByVal nChatMsgId As Integer, ByVal sMsgFrom As String, ByVal sMsgTo As String, ByVal sMsgText As String, ByVal nFromPeerType As Integer, ByVal sFromPeerName As String, ByVal sFromIP As String, ByVal nFromPort As Integer)
        m_objServerExCOM.AcceptChatMessage(nChatMsgId, CVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo)
    End Sub

    Public Sub OnChatMessageTyping(ByVal nChatMsgId As Integer, ByVal sMsgFrom As String, ByVal sMsgTo As String, ByVal bIsTypingStart As Boolean, ByVal nFromPeerType As Integer, ByVal sFromPeerName As String, ByVal sFromIP As String, ByVal nFromPort As Integer)
        m_objServerExCOM.AcceptChatMessage(nChatMsgId, CVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo)
    End Sub

    Public Sub OnChatStatusSubscribe(ByVal nSubscrbId As Integer, ByVal sMsgFrom As String, ByVal sMsgTo As String, ByVal nFromPeerType As Integer, ByVal sFromPeerName As String, ByVal sFromIP As String, ByVal nFromPort As Integer)
        m_objServerExCOM.AcceptChatStatusSubscribe(nSubscrbId, sMsgFrom, sMsgTo, CVaxServerCOM.VAX_PEER_TYPE_USER, sMsgTo)
    End Sub

    Public Sub OnChatMessageSuccess(ByVal nChatMsgId As Integer)
    End Sub

    Public Sub OnChatMessageFailed(ByVal nChatMsgId As Integer, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
    End Sub

    Public Sub OnChatMessageTimeout(ByVal nChatMsgId As Integer)
    End Sub

End Class
