﻿Public Class CVaxLine

    Dim m_objServerExCOM As CVaxServerExCOM

    Public m_sLineName As String, m_sDisplayName As String, m_sUserName As String, m_sAuthUser As String, m_sAuthPwd As String
    Public m_sDomainRealm As String, m_sProxySIP As String, m_sCodecList As String, m_sToPeerName As String, m_sRoomName As String
    Public m_bRegister As Boolean = False, m_bBlocked As Boolean = False

    Public m_nToPeerType As Integer = -1

    Public Sub New(ByVal objServerExCOM As CVaxServerExCOM)
        m_objServerExCOM = objServerExCOM
    End Sub

    '//////////////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////////////

    Public Sub OnLineRegisterTrying(ByVal sLineName As String)
        Dim sStatus As String = sLineName + " " + CDefine.LINE_REG_TRYING
        m_objServerExCOM.GenStatusLog(sStatus)
    End Sub

    Public Sub OnLineRegisterFailed(ByVal sLineName As String, ByVal nStatusCode As Integer, ByVal sReasonPhrase As String)
        Dim sStatus As String = sLineName + " Register Failed: " + sReasonPhrase
        m_objServerExCOM.GenStatusLog(sStatus)
    End Sub

    Public Sub OnLineRegisterSuccess(ByVal sLineName As String)
        Dim sStatus As String = sLineName + " " + CDefine.LINE_REG_SUCCESS
        m_objServerExCOM.GenStatusLog(sStatus)
    End Sub

    '//////////////////////////////////////////////////////////////////////////////////
    '//////////////////////////////////////////////////////////////////////////////////

    Public Sub SetData(ByVal sDisplayName As String, ByVal sUserName As String, ByVal sAuthUser As String, ByVal sAuthPwd As String, ByVal sDomainRealm As String, ByVal sProxySIP As String, ByVal sCodecList As String, ByVal bRegister As Boolean, ByVal nToPeerType As Integer, ByVal sToPeerName As String, ByVal bBlocked As Boolean, ByVal sRoomName As String)

        m_sDisplayName = sDisplayName
        m_sUserName = sUserName
        m_sAuthUser = sAuthUser
        m_sAuthPwd = sAuthPwd

        m_sDomainRealm = sDomainRealm
        m_sProxySIP = sProxySIP
        m_sCodecList = sCodecList

        m_bRegister = bRegister
        m_bBlocked = bBlocked

        m_nToPeerType = nToPeerType
        m_sToPeerName = sToPeerName
        m_sRoomName = sRoomName

    End Sub

    Public Sub GetData(ByRef sDisplayName As String, ByRef sUserName As String, ByRef sAuthUser As String, ByRef sAuthPwd As String, ByRef sDomainRealm As String, ByRef sProxySIP As String, ByRef sCodecList As String, ByRef bRegister As Boolean, ByRef nToPeerType As Integer, ByRef sToPeerName As String, ByRef bBlocked As Boolean, ByRef sRoomName As String)

        sDisplayName = m_sDisplayName
        sUserName = m_sUserName
        sAuthUser = m_sAuthUser
        sAuthPwd = m_sAuthPwd

        sDomainRealm = m_sDomainRealm
        sProxySIP = m_sProxySIP
        sCodecList = m_sCodecList

        bRegister = m_bRegister
        bBlocked = m_bBlocked

        nToPeerType = m_nToPeerType
        sToPeerName = m_sToPeerName
        sRoomName = m_sRoomName

    End Sub

End Class
