#pragma once
#include "afxwin.h"


// CAddDirectProxyDlg dialog

class CVaxServerSIP;

class CAddDirectProxyDlg : public CPropertyPage
{

public:
	CAddDirectProxyDlg(CVaxServerSIP* pVaxTeleSIP);

public:
	CVaxServerSIP* m_pVaxTeleSIP;

	DECLARE_DYNAMIC(CAddDirectProxyDlg)

public:
	CAddDirectProxyDlg();
	virtual ~CAddDirectProxyDlg();

// Dialog Data
	enum { IDD = IDD_DIALOG_ADD_DIRECT_PROXY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	CListBox m_ctrlDisableCodecList;
	CListBox m_ctrlEnableCodecList;
	
	CComboBox m_ctrlComboConnectToLogin;
	CComboBox m_ctrlComboConnectToRoom;

	//CComboBox m_ctrlComboPutInQueue;
	CComboBox m_ctrlComboProxy;
	
	CString m_sProxyAuthUser;
	CString m_sProxyPassword;
	CString m_sProxyRealm;
	CString m_sProxySIP;
	int m_nProxyPort;
	CString m_sProxyName;

	int m_nRadioCtrlInboundCall;

public:
	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();


public:
	afx_msg void OnButtonProxyDisableCodec();
	afx_msg void OnButtonProxyEnableCodec();
	
	afx_msg void OnButtonProxyAdd();
	afx_msg void OnButtonProxyRemove();
	afx_msg void OnButtonClearProxyDlg();
	
	afx_msg void OnSelChangeComboProxy();
	afx_msg void OnDestroy();

public:

	void LoadCodecs();
	BOOL AddProxyChecks();

	void ShowDirectProxies();
	void ShowUsers();
	void ShowRooms();

	void ClearDlgContent();
	void UpdateIncomingCallSection(int nToPeerType, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName);
	void UpdateDlgContent(LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sRealm, LPCTSTR sProxy, CString sCodecList, DWORD dwProxyPort, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlock, LPCTSTR sRoomName);
	CString m_sConnectToLogin;
	CString m_sRoomName;
};
