#include "afxwin.h"
#if !defined(AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_)
#define AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddLineDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddLineDlg dialog

class CVaxServerSIP;

class CAddLineDlg : public CPropertyPage
{
// Construction

private:

	CVaxServerSIP* m_pVaxTeleSIP;

public:

	CAddLineDlg(CVaxServerSIP* pVaxTeleSIP);   // standard constructor

	void OnTelnetCommand(LPCTSTR sCommand, CStringList* pParamList);
	
	void UpdateIncomingCallSection(int nToPeerType, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName);
	void UpdateDlgContent(LPCTSTR sLineName, LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sRealm, LPCTSTR sProxy, CString sCodecList, BOOL bRegister, DWORD dwToPeerType, LPCTSTR sToPeerName, BOOL bBlock, LPCTSTR sRoomName);

	void ClearDlgContent();
	BOOL AddLineChecks();

public:

	void LoadCodecs();

	void ShowLines();
	void ShowUsers();
	void ShowConfs();

// Dialog Data
	//{{AFX_DATA(CAddLineDlg)
	enum { IDD = IDD_DIALOG_ADD_LINE };

private:

	CComboBox	m_ctrlComboConnectToLogin;
	CComboBox	m_ctrlComboLine;
	
	CComboBox	m_ctrlComboConnectToRoom;
	//CComboBox	m_ctrlComboPutInQueue;
	
	CListBox	m_ctrlDisableCodecList;
	CListBox	m_ctrlEnableCodecList;
	

	CString	m_sLineDisplayName;
	CString	m_sLineUserName;
	CString	m_sLineAuthUser;
	CString	m_sLinePassword;
	CString	m_sLineRealm;
	CString	m_sLineProxy;
	BOOL	m_bStartupReg;
	CString	m_sLineName;
	CString m_sRoomName;
	int		m_nRadioCtrlInboundCall;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddLineDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddLineDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboLine();
	afx_msg void OnButtonClearLineDlg();
	afx_msg void OnButtonLineDisableCodec();
	afx_msg void OnButtonLineEnableCodec();
	afx_msg void OnButtonLineAdd();
	afx_msg void OnButtonLineRemove();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnSetActive();
	CString m_sConnectToLogin;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDLINEDLG_H__B2158D56_A86E_43F9_8140_DE28D08E7535__INCLUDED_)
