#include "afxwin.h"
#if !defined(AFX_ADDLOGINDLG_H__1FD367B3_0BA3_4222_B2B1_7979390C05F2__INCLUDED_)
#define AFX_ADDLOGINDLG_H__1FD367B3_0BA3_4222_B2B1_7979390C05F2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddLoginDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddLoginDlg dialog

class CVaxServerSIP;

class CAddLoginDlg : public CPropertyPage
{

public:
	CAddLoginDlg(CVaxServerSIP* pVaxTeleSIP);   // standard constructor

public:
	CVaxServerSIP* m_pVaxTeleSIP;

public:

	void LoadCodecs();

	void ShowUsers();
	void ShowLines();
	void ShowDirectProxies();
	
public:

	void ClearDlgContent();
	void UpdateDlgContent(LPCTSTR sLogin, LPCTSTR sPassword, CString sCodecList, LPCTSTR sDialPrefix, LPCTSTR sUserPrefix, LPCTSTR sToPeerName, BOOL bBlock);

	BOOL AddLoginChecks();

// Dialog Data
	//{{AFX_DATA(CAddLoginDlg)
	enum { IDD = IDD_DIALOG_ADD_LOGIN };
	CComboBox	m_ctrlComboLogin;
	CListBox	m_ctrlEnableCodecList;
	CListBox	m_ctrlDisableCodecList;
	CString	m_sPasswordSIP;
	BOOL	m_bAccountBlocked;
	CString	m_sLoginSIP;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddLoginDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddLoginDlg)
	afx_msg void OnButtonLoginAdd();
	afx_msg void OnButtonRemoveLogin();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonEnableCodec();
	afx_msg void OnButtonDisableCodec();
	afx_msg void OnSelchangeComboLogin();
	afx_msg void OnButtonClear();
	afx_msg void OnButtonLoginHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnSetActive();
	CString m_sCallPrefix;

private:
	CString m_sDialPrefix;
	CComboBox m_comboLineNames;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDLOGINDLG_H__1FD367B3_0BA3_4222_B2B1_7979390C05F2__INCLUDED_)
