#pragma once

class CVaxServerExCOM;

class CVaxCallSession
{

public:

	CVaxCallSession(CVaxServerExCOM* pServerExCOM);
	~CVaxCallSession();

private:
	
	CString m_sRoomName;
	CVaxServerExCOM* m_pServerExCOM;
	
private:

	BOOL AcceptCallSession(LONG lSessionId, LPCTSTR sCallerName, LPCTSTR sCallerId, LPCTSTR sDialNo, int nToPeerType, LPCTSTR sToPeerName);
	
public:

	void OnCallSessionOpen(LONG lSessionId, LPCTSTR sCallerName, LPCTSTR sCallerId, LPCTSTR sDialNo, CString sRoomName, LONG lFromPeerType, LPCTSTR sFromPeerName, LONG lToPeerType, LPCTSTR sToPeerName, LPCTSTR sFromIP, LONG lFromPort);
	void OnCallSessionConnected(LONG lSessionId);
	
	void OnCallSessionOnHold(LONG lSessionId, LONG lCallType);
	void OnCallSessionOffHold(LONG lSessionId, LONG lCallType);

	void OnCallSessionTransferBlind(LONG lTransfererSessionId, LONG lTransfererCallType, LPCTSTR sTransferer, LPCTSTR sTransferee, LPCTSTR sTransferTo);
	void OnCallSessionTransferConsult(LONG lTransfererSessionId, LONG lTransfereeSessionId, LONG lTransferToSessionId, LONG lTransfererCallType, LONG lTransfereeCallType, LONG lTransferToCallType, LPCTSTR sTransferer, LPCTSTR sTransferee, LPCTSTR sTransferTo);

	void OnDetectedDigitDTMF(LONG lSessionId, LONG lCallType, LPCTSTR sDigitDTMF);
};

