#pragma once

#include "VaxServerExCOM.h"

class CStatusLogDlg;
class CErrorLogDlg;

class CVaxServerSIP : public CVaxServerExCOM
{

public:

	CStatusLogDlg* m_pStatusLogDlg;
	CErrorLogDlg* m_pErrorLogDlg;

public:

	CVaxServerSIP();
	~CVaxServerSIP();

public:

	BOOL AddUser(LPCTSTR sLogin, LPCTSTR sPassword, LPCTSTR sCodecList, BOOL bBlocked, LPCTSTR sUserPrefix, LPCTSTR sDialPrefix, int nToPeerType, LPCTSTR sToPeerName);
	void RemoveUser(LPCTSTR sLogin);

	BOOL AddLine(LPCTSTR sLineName, LPCTSTR sDisplayName, LPCTSTR sUserName, LPCTSTR sAuthUser, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxySIP, LPCTSTR sCodecList, BOOL bRegister, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlock, LPCTSTR sRoomName);
	void RemoveLine(LPCTSTR sLineName);
		
	BOOL AddDirectProxySIP(LPCTSTR sProxyName, LPCTSTR sAuthLogin, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxyIP, LONG lProxyPort, LPCTSTR sCodecList, int nToPeerType, LPCTSTR sToPeerName, BOOL bBlock, LPCTSTR sRoomName);
	void RemoveDirectProxySIP(LPCTSTR sProxyName);
										
public:

	void OnStatusLog(LPCTSTR sMsg);
	void OnErrorLog(LPCTSTR sMsg);

};

