#pragma once

class CVaxServerExCOM;

class CVaxUser
{

public:

	CVaxUser(CVaxServerExCOM* pServerExCOM);
	~CVaxUser();

private:

	CVaxServerExCOM* m_pServerExCOM;

private:

	CString m_sPassword;
	CString m_sCodecList;
	
	BOOL m_bBlocked;
		
	CString m_sUserPrefix;
	CString m_sDialPrefix;
 
	int m_nToPeerType;
	CString m_sToPeerName;

	BOOL m_bRegistered;
	
public:

	void OnRegisterUser(LPCTSTR sUserLogin, LPCTSTR sDomain, LPCTSTR sFromIP, LONG lFromPort);
	void OnRegisterUserSuccess(LPCTSTR sUserLogin);
	void OnRegisterUserFailed(LPCTSTR sUserLogin);
	void OnUnRegisterUser(LPCTSTR sUserLogin);

public:

	void SetData(LPCTSTR sPassword, LPCTSTR sCodecList, BOOL bBlocked, LPCTSTR sUserPrefix, LPCTSTR sDialPrefix, int nToPeerType, LPCTSTR sToPeerName);
	void GetData(CString& sPassword, CString& sCodecList, BOOL& bBlocked, CString& sUserPrefix, CString& sDialPrefix, int& nToPeerType, CString& sToPeerName);

	BOOL IsRegistered();
};

