﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Text;

namespace VaxTeleServerApp
{
    class CVaxDirectProxy
    {
        CVaxServerExCOM m_objServerExCOM = null;

        string m_sAuthLogin, m_sAuthPwd, m_sToPeerName;
        string m_sDomainRealm, m_sProxyIP, m_sCodecList, m_sRoomName;
        int m_nProxyPort, m_nToPeerType;
        bool m_bBlocked = false;

        public CVaxDirectProxy(CVaxServerExCOM objServerExCOM)
        {
            m_objServerExCOM = objServerExCOM;
        }

        public void GetData(ref string sAuthLogin, ref string sAuthPwd, ref string sDomainRealm, ref string sProxyIP, ref int nProxyPort, ref string sCodecList, ref int nToPeerType, ref string sToPeerName, ref bool bBlocked, ref string sRoomName)
        {
            sAuthLogin = m_sAuthLogin;
            sAuthPwd = m_sAuthPwd;

            sDomainRealm = m_sDomainRealm;
            sProxyIP = m_sProxyIP;
            nProxyPort = m_nProxyPort;

            sCodecList = m_sCodecList;

            nToPeerType = m_nToPeerType;
            sToPeerName = m_sToPeerName;

            bBlocked = m_bBlocked;
            sRoomName = m_sRoomName;
        }

        public void SetData(string sAuthLogin, string sAuthPwd, string sDomainRealm, string sProxyIP, int nProxyPort, string sCodecList, int nToPeerType, string sToPeerName, bool bBlocked, string sRoomName)
        {
            m_sAuthLogin = sAuthLogin;
            m_sAuthPwd = sAuthPwd;

            m_sDomainRealm = sDomainRealm;
            m_sProxyIP = sProxyIP;
            m_nProxyPort = nProxyPort;

            m_sCodecList = sCodecList;

            m_nToPeerType = nToPeerType;
            m_sToPeerName = sToPeerName;
            
            m_bBlocked = bBlocked;
            m_sRoomName = sRoomName;
        }

    }
}
